Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::In_Object_Argument_T< S_ptr > Class Template Reference

Template class for IN object argument. More...

`#include <Object_Argument_T.h>`

Inheritance diagram for TAO::In_Object_Argument_T< S_ptr >:

[legend]
Collaboration diagram for TAO::In_Object_Argument_T< S_ptr >:

[legend]
List of all members.

## Public Methods
| In_Object_Argument_T (S_ptr x)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S_ptr | arg (void) const
## Private Attributes
S_ptr | x_

## Detailed Description

### template<typename S_ptr>
class TAO::In_Object_Argument_T< S_ptr >

Template class for IN object argument.

## Constructor & Destructor Documentation

template<typename S_ptr>
ACE_INLINE TAO::In_Object_Argument_T< S_ptr >::In_Object_Argument_T | ( | S_ptr | x | ) |

## Member Function Documentation

template<typename S_ptr>
ACE_INLINE S_ptr TAO::In_Object_Argument_T< S_ptr >::arg | ( | void |  | ) | const

template<typename S_ptr>
void TAO::In_Object_Argument_T< S_ptr >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S_ptr>
CORBA::Boolean TAO::In_Object_Argument_T< S_ptr >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S_ptr>
S_ptr TAO::In_Object_Argument_T< S_ptr >::x_`[private]`

The documentation for this class was generated from the following files:

- Object_Argument_T.h
- DomainC.cpp
- Object_Argument_T.cpp
- Object_Argument_T.inl